> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Conversation

> Update a conversation.



## OpenAPI

````yaml api-reference/openapi.json put /api/v1/conversations/{conversation_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/conversations/{conversation_id}:
    put:
      tags:
        - Conversations
      summary: Update Conversation
      description: Update a conversation.
      operationId: update_conversation_api_v1_conversations__conversation_id__put
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            title: Conversation Id
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    ConversationUpdate:
      properties:
        title:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Title
          description: Conversation title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
          description: Conversation summary
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Conversation status
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Public
          description: Whether conversation is public
        collections:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Collections
          description: Collection IDs associated with this conversation
        meta_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Data
          description: Additional metadata
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
          description: Conversation settings
        ended_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ended At
          description: When the conversation ended
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID associated with this conversation
      type: object
      title: ConversationUpdate
      description: Schema for updating a conversation.
    ConversationRead:
      properties:
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        id:
          type: string
          title: Id
        title:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Title
          description: Conversation title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
          description: Conversation summary
        status:
          type: string
          title: Status
          description: Conversation status
          default: active
        is_public:
          type: boolean
          title: Is Public
          description: Whether conversation is public
          default: false
        collections:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Collections
          description: Collection IDs associated with this conversation
        meta_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Data
          description: Additional metadata
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
          description: Conversation settings
        ended_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ended At
          description: When the conversation ended
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
          description: Owner ID associated with this conversation
        workspace_id:
          type: string
          title: Workspace Id
          description: Reference to workspace
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: User who created the conversation
      type: object
      required:
        - workspace_id
      title: ConversationRead
      description: Schema for reading conversation data.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````